# Class KeySelector.Purpose

java.lang.Object
javax.xml.crypto.KeySelector.Purpose

Enclosing class:
  `KeySelector`

public static class KeySelector.Purpose extends Object
The purpose of the key that is to be selected.

Since:
  1.6

## Field Summary

Fields
Modifier and Type
Field
Description
`static final KeySelector.Purpose`
`DECRYPT`
A key for decrypting.
`static final KeySelector.Purpose`
`ENCRYPT`
A key for encrypting.
`static final KeySelector.Purpose`
`SIGN`
A key for signing.
`static final KeySelector.Purpose`
`VERIFY`
A key for verifying.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### SIGN

public static final KeySelector.Purpose SIGN
A key for signing.

### VERIFY

public static final KeySelector.Purpose VERIFY
A key for verifying.

### ENCRYPT

public static final KeySelector.Purpose ENCRYPT
A key for encrypting.

### DECRYPT

public static final KeySelector.Purpose DECRYPT
A key for decrypting.

## Method Details

### toString

public String toString()
Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this purpose